commit:     d24c0a73e350557d4fcc0bf22535f0193801ba90
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Fri Apr 30 11:17:37 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Fri Apr 30 11:18:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d24c0a73

dev-dotnet/dotnet-aspnet-bin: initial import

Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 dev-dotnet/dotnet-aspnet-bin/Manifest              |  3 ++
 .../dotnet-aspnet-bin-5.0.5.ebuild                 | 48 ++++++++++++++++++++++
 dev-dotnet/dotnet-aspnet-bin/metadata.xml          |  8 ++++
 3 files changed, 59 insertions(+)

diff --git a/dev-dotnet/dotnet-aspnet-bin/Manifest 
b/dev-dotnet/dotnet-aspnet-bin/Manifest
new file mode 100644
index 000000000..eb99b0306
--- /dev/null
+++ b/dev-dotnet/dotnet-aspnet-bin/Manifest
@@ -0,0 +1,3 @@
+DIST aspnetcore-runtime-5.0.5-linux-arm.tar.gz 37301082 BLAKE2B 
22b4a2f131c9da3e315a6519e34eaf7a2835fb20e343352b40c47de8c51bbca921c82efdc99dfce3b5c000f1772fc277e4c97c4ed58a9f0bf16c925e133f561d
 SHA512 
962f02bd27a96fc577bd4a6e3763e50daace29479880a96386d863a5905ff4b081c9f12086b540b48a2df378919a1ae368032cc76a322f5bb602fb7bf48ad773
+DIST aspnetcore-runtime-5.0.5-linux-arm64.tar.gz 36772038 BLAKE2B 
0a3230fd250406112e91f91f80a878e2cbc213706fc90487c19302aed381af5f05aee2ef552047b5cf4e9256d0518c63e8c1ee90c39f8e233a6cadb5a7fb4ac8
 SHA512 
f2421b16295f53b2796c604eb89e4cea0f238f376e4e3d4f348d8aebed6543fd605e76c871de049cb5328ec1fcea9a35d65b57c1c2c4d09a2614fd5bb2428980
+DIST aspnetcore-runtime-5.0.5-linux-x64.tar.gz 39270599 BLAKE2B 
1a764c56420d64e03930624ddaf0414753a67a2f40f7905d836c015482d68215470e780c2f283df05e8315c237e8965777a5f0fbf45aaa83bde27f45c34b4611
 SHA512 
149b378b2377b60980a9bc0fa2f345293439f0da18bc75e8bffadc2faba8c3c175325fdd4edc9faaf898c4836f76a1685d55a0efdb679a5034b9e761450a88a4

diff --git a/dev-dotnet/dotnet-aspnet-bin/dotnet-aspnet-bin-5.0.5.ebuild 
b/dev-dotnet/dotnet-aspnet-bin/dotnet-aspnet-bin-5.0.5.ebuild
new file mode 100644
index 000000000..45711edf8
--- /dev/null
+++ b/dev-dotnet/dotnet-aspnet-bin/dotnet-aspnet-bin-5.0.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION=".NET ASP.NET Runtime Store"
+HOMEPAGE="https://dotnet.microsoft.com/";
+SRC_URI="
+       amd64? ( 
https://dotnetcli.azureedge.net/dotnet/aspnetcore/Runtime/${PV}/aspnetcore-runtime-${PV}-linux-x64.tar.gz
 )
+       arm? ( 
https://dotnetcli.azureedge.net/dotnet/aspnetcore/Runtime/${PV}/aspnetcore-runtime-${PV}-linux-arm.tar.gz
 )
+       arm64? ( 
https://dotnetcli.azureedge.net/dotnet/aspnetcore/Runtime/${PV}/aspnetcore-runtime-${PV}-linux-arm64.tar.gz
 )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+# The SDK includes dotnet-aspnet-bin so prevent installing the SDK at the same 
time
+RDEPEND="
+       app-crypt/mit-krb5
+       ~dev-dotnet/dotnet-runtime-bin-${PV}
+       !dev-dotnet/dotnet-sdk-bin
+       !dev-dotnet/dotnet-sdk-bin-common
+       dev-libs/icu
+       dev-util/lldb
+       dev-util/lttng-ust
+       net-misc/curl
+       sys-apps/lsb-release
+       sys-devel/llvm
+       sys-libs/zlib
+       || (
+               dev-libs/openssl
+               dev-libs/openssl-compat
+       )
+       || (
+               sys-libs/libunwind
+               sys-libs/llvm-libunwind
+       )
+"
+
+QA_PREBUILT="*"
+
+S="${WORKDIR}"
+
+src_install() {
+       insinto /opt/dotnet/shared/
+       doins -r "${S}/shared/Microsoft.AspNetCore.App"
+}

diff --git a/dev-dotnet/dotnet-aspnet-bin/metadata.xml 
b/dev-dotnet/dotnet-aspnet-bin/metadata.xml
new file mode 100644
index 000000000..17cfe1629
--- /dev/null
+++ b/dev-dotnet/dotnet-aspnet-bin/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Theo Anderson</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to